### Method

# EBook BookClient contains_email

since: 3.44

#### Declaration [src]

    void
    e_book_client_contains_email (
      EBookClient* client,
      const gchar* email_address,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously checks whether contains an `email_address`. When the `email_address` contains multiple addresses, then returns `TRUE` when at least one address exists in the address book.

When the operation is finished, `callback` will be called. You can then call `e_book_client_contains_email_finish()` to get the result of the operation.

Available since: 3.44

This method completes asynchronously. Use `e_book_client_contains_email_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`email_address`

  Type: `const gchar*`

  An email address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.